@import '../../../styles.scss';

.menu-container {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  background: white;
  padding: 10px;
  margin: 20px;
  width: 80px;
  height: 300px;
  border-radius: 10px;
  -webkit-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44);
  -moz-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44);
  box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44);
}

.menu-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  cursor: pointer;
  outline: 0;
  border-width: 1px;
  border-style: solid;
  border-image: linear-gradient(to right, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 20%, rgba(210,210,210,0.5)) 10 1;
  border-left: 0;
  border-right: 0;
  border-top: 0;
  &:last-child {
    border: 0;
  }

  &-hide {
    display: none;
  }

  &:hover {
    .menu-icon, .menu-name  {
      color: $main-color;
    }
  }

}

.menu-active {
  .menu-icon, .menu-name  {
    color: $main-color;
  }
}

.menu-hamburger-mobile {
  display: none;
}

.menu-hamburger-circle-background {
  background: rgba(255, 255, 255, 0.5);
  border-radius: 100%;
  height: 30px;
  width: 30px;
  text-align: center;
}


.menu-container-mobile-display {
  display: flex !important;
}

.menu-icon {
}

.menu-icon-fa {
  margin-bottom: 5px
}

.menu-name {
  font-size: 11px;
  font-weight: bold;
}

.menu-hamburger-mobile-display {
  display: none;
}

@media screen and (max-width: 900px) {
  .menu-container {
    height: 100%;
    margin: 0;
    border-radius: 0;
    border-width: 1px;
    border-left: 0;
    border-style: solid;
    border-image:
      linear-gradient(
          to bottom,
          rgba(0, 0, 0, 0) 0%,
          rgba(0, 0, 0, 0) 20%,
          rgba(210, 210, 210, 1) 50%,
          rgba(0, 0, 0, 0) 80%,
          rgba(0, 0, 0, 0)
      ) 1 100%;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
  }
}

@media screen and (max-width: 750px) {
  .menu-item-hide {
    display: flex;
  }
}

@media screen and (max-width: 500px) {
  .menu-container {
    width: 100%;
  }
}

@media screen and (max-width: 420px) {
  .menu-container-mobile {
    display: none;
    height: 100vh;
    padding-top: 5vh;
  }
  .menu-hamburger-mobile {
    position: fixed;
    top: 0;
    left: 0;
    margin-top: 20px;
    height: 5vh;
    width: 62px;
    display: flex;
    flex-flow: row;
    justify-content: center;
  }
}
